import { ChangeDetectorRef, EventEmitter, OnDestroy, AfterViewChecked, QueryList } from '@angular/core';
import { OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { MatDialogRef } from '@angular/material/dialog';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { Subject } from 'rxjs';
import { TranslateLibraryService } from '../../services/translation-registry.service';
import { QMSIconRegistryService } from '../app-icon/icon-registry.service';
import { DataType } from './common/data-type.enum';
import { ModuleType } from './common/module-type.enum';
import { SelectOnePopupData } from './common/selectone-popup-data.model';
import { ISelectOneItem } from './common/select-data.model';
import { SelectedNode } from './common/selected-node.model';
import { QMSSelectOneGlobalService } from './service/select-one-global.service';
import { TreeConfig } from '../tree/model/tree-config.model';
import { TreeFlatNode } from '../tree/model/tree-flat-node.model';
import { TreeNode } from '../tree/model/tree-node.model';
import { TreeModel } from '../tree/model/tree.model';
import { TreeComponent } from '../tree/tree.component';
export declare class SelectOneDialog implements OnInit, OnDestroy, AfterViewChecked {
    private cdRef;
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<SelectOneDialog>;
    globalService: QMSSelectOneGlobalService;
    private iconRegistry;
    private sanitizer;
    private appIconService;
    data: SelectOnePopupData;
    ngUnsubscribe: Subject<void>;
    LANG: any;
    moduleId: number;
    moduleName: string;
    treeData: Array<TreeModel>;
    treeConfig: TreeConfig;
    checkedNodeList: Array<SelectedNode>;
    selectedNode: Array<SelectedNode>;
    selectedData: Array<TreeFlatNode>;
    module: typeof ModuleType;
    dataType: typeof DataType;
    itemType: number;
    selectedRiskData: any;
    disabledList: any;
    expandToChildNode: any;
    isCommonExpanded: boolean;
    myControl: FormControl;
    filteredOptions: ISelectOneItem[];
    isInputValue: boolean;
    selectedFolder: TreeFlatNode;
    listChildrenSelectOne: any;
    onSearch: EventEmitter<any>;
    onExpandFolder: EventEmitter<ISelectOneItem>;
    dataTrees: QueryList<TreeComponent>;
    autoComplete: MatAutocompleteTrigger;
    constructor(cdRef: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<SelectOneDialog>, globalService: QMSSelectOneGlobalService, iconRegistry: MatIconRegistry, sanitizer: DomSanitizer, appIconService: QMSIconRegistryService, data: SelectOnePopupData);
    ngOnDestroy(): void;
    onMessage(event: any): void;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    getDataTypeId(moduleId: number): any;
    setResultHeight(arr?: ISelectOneItem[]): void;
    onSearchRelated(_val: any): void;
    getModuleFilteredOptions(): ISelectOneItem[];
    showSearchResult(): void;
    displayRelated(related?: ISelectOneItem): string | undefined;
    selectItemSearched(item: ISelectOneItem): void;
    expandAndScrollToNode(treeNode: TreeNode, node: TreeModel): void;
    getParentLineOfNode(listParent: any, node: TreeModel): any;
    focusEditItem(selectedOption: any): void;
    onCloseClick(): void;
    onAddClick(): void;
    getOffsetHeight(element: HTMLElement, includeMargin: boolean): number;
    getItemChipName(item: SelectedNode): string;
    isEllipsisActive(e: HTMLElement): boolean;
    getNodeIcon(item: ISelectOneItem): "process" | "process_area_outlined" | "document" | "document_local" | "document_enterprise" | "document_department" | "document_regional" | "folder_outlined" | "local_folder_outlined" | "enterprise_folder_outlined" | "regional_folder_outlined" | "department_folder_outlined" | "deviation" | "checklist" | "risk";
    getParentName(item: ISelectOneItem): string;
    getItemId(item: ISelectOneItem): string;
    selectNodeTreeEvent(node: any): void;
    getChildNodeSelectOne(listChildren: any): void;
    removeCheckedNodeList(): void;
}
